﻿using Syncfusion.SfPdfViewer.XForms;
using Syncfusion.SfRotator.XForms;
using System.Reflection;
using Xamarin.Forms;

namespace PdfRotatorTest
{
    public partial class PdfRotatorTestPage : ContentPage
    {
        public PdfRotatorTestPage()
        {
            InitializeComponent();
			Rotator.DataSource.Add(CreateItem("TestItem1.pdf"));
			Rotator.DataSource.Add(CreateItem("TestItem2.pdf"));
			Rotator.DataSource.Add(CreateItem("TestItem3.pdf"));
			Rotator.DataSource.Add(CreateItem("TestItem4.pdf"));
			Rotator.DataSource.Add(CreateItem("TestItem5.pdf"));
        }

		private SfRotatorItem CreateItem(string filename)
		{
			var fileStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream(resourcePath + filename);
            var viewer = new SfPdfViewer();
            viewer.LoadDocument(fileStream);
            return new SfRotatorItem { ItemContent = viewer };
		}

		private const string resourcePath = "PdfRotatorTest.TestFiles.";
	}
}
